> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl-noaa-mar-900-create-self-partnership-provisioning.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析

ローカルまたは非公開のドキュメントをアップロードし、クリーンでLLM対応のデータに変換します。`/parse` は `multipart/form-data` でファイルのバイト列を受け取り、Markdown、JSON、HTML、リンク、画像、または要約を返します。読み順と表を保持したまま出力されます。

* PDF、DOCX、XLSX、HTML などを Markdown または構造化 JSON に変換
* Rustベースのエンジンにより、**最大5倍高速**で解析
* 1リクエストあたり **50 MB** までのファイルに対応
* ゼロデータ保持に対応

<div id="when-to-use-parse">
  ## `/parse` を使うタイミング
</div>

ソースドキュメントが**ローカルファイル**である場合、または**URL で公開されていない**場合は、`/parse` を使用します。ドキュメントを指す公開 URL がある場合は、[`/scrape`](/ja/api-reference/endpoint/scrape) を優先してください。`/scrape` は拡張子またはコンテンツタイプからファイル形式を自動判別し、同じ方法で解析します。

| ソース                                                   | エンドポイント                                             |
| ----------------------------------------------------- | --------------------------------------------------- |
| ドキュメントを指す公開 URL (例: `https://example.com/report.pdf`) | [`POST /scrape`](/ja/api-reference/endpoint/scrape) |
| ローカルファイルまたは非公開のバイト列 (PDF、DOCX、XLSX、HTML、…)            | `POST /parse` (このエンドポイント)                           |


## OpenAPI

````yaml /ja/api-reference/v2-openapi.json POST /parse
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /parse:
    post:
      tags:
        - Scraping
      summary: ファイルをアップロードして解析します
      operationId: parseFile
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: >-
                    解析するファイルのバイト列です。対応拡張子:
                    .html、.htm、.pdf、.docx、.doc、.odt、.rtf、.xlsx、.xls。
                options:
                  $ref: '#/components/schemas/ParseOptions'
              required:
                - file
            encoding:
              options:
                contentType: application/json
      responses:
        '200':
          description: 正常なレスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScrapeResponse'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  code:
                    type: string
                    example: BAD_REQUEST
                  error:
                    type: string
                    example: Invalid multipart form-data request.
        '402':
          description: 支払いが必要
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: リクエストが多すぎます
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  code:
                    type: string
                    example: UNKNOWN_ERROR
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    ParseOptions:
      type: object
      description: multipart の `options` フィールドで JSON として送信する任意の解析オプションです。
      properties:
        formats:
          $ref: '#/components/schemas/ParseFormats'
        onlyMainContent:
          type: boolean
          description: ヘッダー、ナビゲーション、フッターなどを除き、ページのメインコンテンツのみを返します。
          default: true
        includeTags:
          type: array
          items:
            type: string
          description: 出力に含めるタグです。
        excludeTags:
          type: array
          items:
            type: string
          description: 出力から除外するタグです。
        headers:
          type: object
          description: 追加のネットワークリクエストが必要な場合に送信するヘッダーです。
        timeout:
          type: integer
          description: リクエストのタイムアウト時間（ミリ秒）です。デフォルトは 30000（30 秒）です。最大値は 300000（300 秒）です。
          default: 30000
          maximum: 300000
        parsers:
          type: array
          description: '該当する場合に、ファイルパーサーの動作を制御します（例: PDF パーサーのモード）。'
          items:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - pdf
                  mode:
                    type: string
                    enum:
                      - fast
                      - auto
                      - ocr
                    default: auto
                    description: >-
                      PDF の解析モードです。"fast": テキストのみを抽出します。"auto": テキストを優先し、必要に応じて
                      OCR にフォールバックします。"ocr": すべてのページで OCR を実行します。
                  maxPages:
                    type: integer
                    minimum: 1
                    maximum: 10000
                    description: PDF から解析する最大ページ数です。
                required:
                  - type
                additionalProperties: false
          default:
            - pdf
        skipTlsVerification:
          type: boolean
          description: リクエスト実行時に TLS 証明書の確認をスキップします。
          default: true
        removeBase64Images:
          type: boolean
          description: 出力から Base64 エンコードされた画像を削除し、alt テキストのプレースホルダーは保持します。
          default: true
        blockAds:
          type: boolean
          description: 広告と Cookie ポップアップのブロックを有効にします。
          default: true
        proxy:
          type: string
          enum:
            - basic
            - auto
          description: 解析アップロード用のプロキシモードです。`/parse` では `basic` と `auto` のみをサポートしています。
        origin:
          type: string
          description: 分析とログ記録のための origin 識別子です。
          default: api
        integration:
          type: string
          nullable: true
          description: 任意のインテグレーション識別子です。
        zeroDataRetention:
          type: boolean
          default: false
          description: >-
            true の場合、この解析に対してゼロデータ保持が有効になります。この機能を有効にするには、help@firecrawl.dev
            までお問い合わせください。
    ScrapeResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            markdown:
              type: string
            summary:
              type: string
              nullable: true
              description: '`formats` に `summary` が含まれている場合のページ要約'
            html:
              type: string
              nullable: true
              description: >-
                `formats` に `html` が含まれている場合、そのページのクリーンアップ済み HTML
                です。`<script>`、`<style>`、`<noscript>`、`<meta>`、`<head>` タグを削除し、相対
                URL を絶対 URL に解決し、レスポンシブ画像の `srcset`
                を最大サイズのバージョンに解決します。`onlyMainContent`、`includeTags`、`excludeTags`
                フィルターが適用されます。
            rawHtml:
              type: string
              nullable: true
              description: >-
                ページから取得した、変更や加工を一切行っていない生の HTML。`formats` に `rawHtml`
                が含まれている場合に返されます。クリーニングやフィルタリングなどの処理は一切行われません。
            screenshot:
              type: string
              nullable: true
              description: >-
                `formats` に `screenshot` が含まれている場合、そのページのスクリーンショット。スクリーンショットは 24
                時間後に期限切れとなり、それ以降はダウンロードできません。
            audio:
              type: string
              nullable: true
              description: >-
                `formats` に `audio` が含まれている場合の、抽出された MP3 音声ファイルへの署名付き URL
                です。署名付き URL は 1 時間で期限切れになります。
            video:
              type: string
              nullable: true
              description: >-
                `formats` に `video`
                が含まれている場合に返される、抽出された動画ファイルの署名付きURLです。署名付きURLの有効期限は1時間です。
            answer:
              type: string
              nullable: true
              description: >-
                `question`フォーマットで指定した質問に対する自然言語の回答です。`formats`に`question`フォーマットオブジェクトが含まれている場合にのみ存在します。
            highlights:
              type: string
              nullable: true
              description: >-
                `highlights`フォーマットで選択された関連ソーステキストです。`formats`に`highlights`フォーマットオブジェクトが含まれている場合にのみ存在します。
            links:
              type: array
              items:
                type: string
              description: '`links` が `formats` に含まれている場合のページ上のリンク一覧'
            actions:
              type: object
              nullable: true
              description: >-
                `actions` パラメーターで指定されたアクションの結果です。`actions`
                パラメーターがリクエストで指定されている場合にのみ含まれます
              properties:
                screenshots:
                  type: array
                  description: 提供されたスクリーンショットアクションと同じ順序で並んだスクリーンショットのURL。
                  items:
                    type: string
                    format: url
                scrapes:
                  type: array
                  description: 指定されたスクレイプアクションの順序どおりにコンテンツをスクレイピングします。
                  items:
                    type: object
                    properties:
                      url:
                        type: string
                      html:
                        type: string
                javascriptReturns:
                  type: array
                  description: 指定された executeJavascript アクションと同じ順序の JavaScript の戻り値。
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      value: {}
                pdfs:
                  type: array
                  description: 生成されたPDF。指定したPDFアクションと同じ順序で出力されます。
                  items:
                    type: string
            metadata:
              type: object
              properties:
                title:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: ページから抽出されたタイトル。文字列または文字列の配列になります
                description:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: ページから抽出された説明。文字列または文字列配列のいずれかになります
                language:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  nullable: true
                  description: ページから抽出された言語。値は文字列または文字列の配列です。
                sourceURL:
                  type: string
                  format: uri
                  description: リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL と異なることがあります。
                url:
                  type: string
                  format: uri
                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                keywords:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: ページから抽出されたキーワード。文字列または文字列の配列です
                ogLocaleAlternate:
                  type: array
                  items:
                    type: string
                  description: このページの別ロケール
                '<any other metadata> ':
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: HTML から抽出されたその他のメタデータ。文字列または文字列配列です
                statusCode:
                  type: integer
                  description: ページのステータスコード
                contentType:
                  type: string
                  description: 'ページのコンテンツタイプ（MIMEタイプ）。例: text/html、application/pdf'
                error:
                  type: string
                  nullable: true
                  description: ページのエラーメッセージ
                concurrencyLimited:
                  type: boolean
                  description: このスクレイピングがTeamの同時実行数制限によりスロットルされたかどうか
                concurrencyQueueDurationMs:
                  type: number
                  description: >-
                    リクエストが同時実行キューで待機した時間（ミリ秒）。concurrencyLimited が true
                    の場合にのみ含まれます。
            warning:
              type: string
              nullable: true
              description: >-
                LLM Extraction
                を使用している場合に表示されることがあります。警告メッセージによって、抽出処理で発生した問題が通知されます。
            changeTracking:
              type: object
              nullable: true
              description: >-
                `formats` に `changeTracking` が含まれる場合の変更追跡情報。`changeTracking`
                フォーマットがリクエストされた場合にのみ返されます。
              properties:
                previousScrapeAt:
                  type: string
                  format: date-time
                  nullable: true
                  description: 現在のページの比較対象となる前回のスクレイプのタイムスタンプ。以前のスクレイプが存在しない場合は null になります。
                changeStatus:
                  type: string
                  enum:
                    - new
                    - same
                    - changed
                    - removed
                  description: >-
                    2つのページバージョンを比較した結果です。`new` はこのページが以前は存在していなかったこと、`same`
                    はコンテンツに変更がないこと、`changed` はコンテンツに変更があったこと、`removed`
                    はページが削除されたことを意味します。
                visibility:
                  type: string
                  enum:
                    - visible
                    - hidden
                  description: >-
                    現在のページ／URL の可視性を表します。`visible` は、その URL
                    がリンクやサイトマップといった自然な経路から検出されたことを意味し、`hidden` は、その URL
                    が過去のクロール時の内部メモリから検出されたことを意味します。
                diff:
                  type: string
                  nullable: true
                  description: >-
                    'git-diff' モード使用時の、変更内容の Git スタイルの差分。モードが 'git-diff'
                    に設定されている場合にのみ出力されます。
                json:
                  type: object
                  nullable: true
                  description: >-
                    「json」モード使用時のJSON比較結果。「mode」が「json」に設定されている場合にのみ出力されます。`schema`
                    で定義された型に基づき、`previous` と `current`
                    のスクレイピング結果から取得したすべてのキーとその値の一覧を出力します。例は[こちら](/features/change-tracking)を参照してください。
            branding:
              type: object
              nullable: true
              description: >-
                `branding` が `formats`
                に含まれている場合、ページから抽出されるブランディング情報です。色、フォント、タイポグラフィ、余白、コンポーネントなどが含まれます。
              properties:
                colorScheme:
                  type: string
                  enum:
                    - light
                    - dark
                  description: ページから検出されたカラースキーム。
                logo:
                  type: string
                  nullable: true
                  description: メインロゴのURL。
                colors:
                  type: object
                  nullable: true
                  description: ページから抽出されたブランドカラー。
                  properties:
                    primary:
                      type: string
                      description: メインのブランドカラー（16進数表記）。
                    secondary:
                      type: string
                      description: サブのブランドカラー（16進数表記）。
                    accent:
                      type: string
                      description: アクセントカラー（16進数表記）。
                    background:
                      type: string
                      description: 背景色（16進数表記）。
                    textPrimary:
                      type: string
                      description: メインテキスト色（16進数表記）。
                    textSecondary:
                      type: string
                      description: サブテキスト色（16進数表記）。
                    link:
                      type: string
                      description: リンクカラー（16進数表記）。
                    success:
                      type: string
                      description: 成功・ポジティブ状態用のカラー（16進カラーコード）。
                    warning:
                      type: string
                      description: 警告状態用のカラー（16進カラーコード）。
                    error:
                      type: string
                      description: エラー／危険状態用のカラー（16進カラーコード）。
                fonts:
                  type: array
                  nullable: true
                  description: ページで使用されているフォントファミリーの配列。
                  items:
                    type: object
                    properties:
                      family:
                        type: string
                        description: フォントファミリー名。
                typography:
                  type: object
                  nullable: true
                  description: 詳細なタイポグラフィ情報。
                  properties:
                    fontFamilies:
                      type: object
                      description: 役割ごとのフォントファミリー設定。
                      properties:
                        primary:
                          type: string
                          description: 主要なフォントファミリー。
                        heading:
                          type: string
                          description: 見出し用フォントファミリー。
                        code:
                          type: string
                          description: コード／等幅フォントファミリー。
                    fontSizes:
                      type: object
                      description: 各テキストレベル用のフォントサイズ設定。
                      properties:
                        h1:
                          type: string
                        h2:
                          type: string
                        h3:
                          type: string
                        body:
                          type: string
                    fontWeights:
                      type: object
                      description: フォントウェイト（太さ）の設定。
                      properties:
                        light:
                          type: integer
                        regular:
                          type: integer
                        medium:
                          type: integer
                        bold:
                          type: integer
                    lineHeights:
                      type: object
                      description: 各テキストタイプ用の行の高さの値。
                      properties:
                        heading:
                          type: string
                        body:
                          type: string
                spacing:
                  type: object
                  nullable: true
                  description: スペーシングやレイアウトに関する設定。
                  properties:
                    baseUnit:
                      type: integer
                      description: ピクセル単位の基準スペーシング値。
                    borderRadius:
                      type: string
                      description: デフォルトのボーダー半径。
                    padding:
                      type: object
                      description: パディング値。
                    margins:
                      type: object
                      description: マージン値。
                components:
                  type: object
                  nullable: true
                  description: UI コンポーネントのスタイル設定。
                  properties:
                    buttonPrimary:
                      type: object
                      description: プライマリボタンのスタイル設定。
                      properties:
                        background:
                          type: string
                        textColor:
                          type: string
                        borderRadius:
                          type: string
                    buttonSecondary:
                      type: object
                      description: セカンダリボタン用のスタイル設定。
                      properties:
                        background:
                          type: string
                        textColor:
                          type: string
                        borderColor:
                          type: string
                        borderRadius:
                          type: string
                    input:
                      type: object
                      description: 入力フィールド用のスタイル設定。
                icons:
                  type: object
                  nullable: true
                  description: アイコン用のスタイル設定。
                images:
                  type: object
                  nullable: true
                  description: ブランド画像。
                  properties:
                    logo:
                      type: string
                      description: ロゴ画像のURL。
                    favicon:
                      type: string
                      description: ファビコンのURL。
                    ogImage:
                      type: string
                      description: Open Graph画像のURL。
                animations:
                  type: object
                  nullable: true
                  description: アニメーションおよびトランジションの設定。
                layout:
                  type: object
                  nullable: true
                  description: レイアウト設定（グリッド、ヘッダー／フッターの高さ）。
                personality:
                  type: object
                  nullable: true
                  description: ブランドのパーソナリティ特性（トーン、エネルギー、ターゲットユーザー）。
    ParseFormats:
      type: array
      items:
        oneOf:
          - type: object
            title: Markdown
            properties:
              type:
                type: string
                enum:
                  - markdown
            required:
              - type
          - type: object
            title: Summary
            properties:
              type:
                type: string
                enum:
                  - summary
            required:
              - type
          - type: object
            title: HTML
            properties:
              type:
                type: string
                enum:
                  - html
            required:
              - type
          - type: object
            title: Raw HTML
            properties:
              type:
                type: string
                enum:
                  - rawHtml
            required:
              - type
          - type: object
            title: Links
            properties:
              type:
                type: string
                enum:
                  - links
            required:
              - type
          - type: object
            title: Images
            properties:
              type:
                type: string
                enum:
                  - images
            required:
              - type
          - type: object
            title: JSON
            properties:
              type:
                type: string
                enum:
                  - json
              schema:
                type: object
                description: >-
                  JSON 出力に使用するスキーマです。[JSON Schema](https://json-schema.org/)
                  に準拠している必要があります。
              prompt:
                type: string
                description: JSON 出力に使用するプロンプトです
            required:
              - type
      description: >-
        `/parse` へのアップロードでサポートされる出力フォーマットです。ブラウザレンダリングのフォーマットと change tracking
        はサポートされていません。
      default:
        - markdown
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````